## cross-toolchain-base-ports 29

=== debian/changelog ===
cross-toolchain-base-ports (29) unstable; urgency=medium

  * Build using glibc 2.28-10.

 -- Matthias Klose <doko@debian.org>  Thu, 02 May 2019 14:49:13 +0200

cross-toolchain-base-ports (28) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Remove myself from uploaders.

  [ Matthias Klose ]
  * Build using gcc 8.3.0-7.
  * Build using binutils 2.31.1-16.
  * Build using glibc 2.28-9.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Apr 2019 20:54:14 +0200
