## cross-toolchain-base-ports 30ubuntu2

=== debian/changelog ===
cross-toolchain-base-ports (30ubuntu2) eoan; urgency=medium

  * Build using glibc 2.29-0ubuntu3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jul 2019 14:27:07 +0200

cross-toolchain-base-ports (30) unstable; urgency=medium

  * Fix building with binutils snapshot builds.
  * Build using gcc 8.3.0-19.
  * Build using binutils 2.32.51.20190707-1.
  * Build using glibc 2.28-10.
  * Disable optimized builds for the autopkg test build.
  * Stop building powerpcspe packages (support gone in GCC 9).

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2019 10:28:21 +0200
