=== debian/rules ===
--- 
+++ 
@@ -45,8 +45,7 @@
 			$(if $(filter $(vendor), Ubuntu), powerpc, mips mipsel mips64el)
 else ifeq ($(DEB_NAME_ACT),cross-toolchain-base-ports)
   CROSS_ARCHS  ?= alpha hppa m68k ppc64 riscv64 sh4 sparc64 x32 \
-			$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el, powerpc) \
-			powerpcspe
+			$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el, powerpc)
 else # -mipsen
   CROSS_ARCHS  ?= mips64 mipsn32 mipsn32el \
 			mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
@@ -70,8 +69,8 @@
 
 MIN_VER_GLIBC		:= 2.28-10~
 MIN_VER_LINUX		:= 4.19
-MIN_VER_GCC		:= 8.3.0-7~
-MIN_VER_BINUTILS	:= 2.31.1-16~
+MIN_VER_GCC		:= 8.3.0-19~
+MIN_VER_BINUTILS	:= 2.32.51.20190707-1~
 
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),Ubuntu)
@@ -83,7 +82,9 @@
 ifeq ($(vendor),Ubuntu)
   MIN_VER_GLIBC	:= 2.29-0~
   VER_GCC_BASE	:= 8
-  MIN_VER_GCC	:= 8.3.0-2~
+  MIN_VER_GCC	:= 8.3.0-19~
+  MIN_VER_BINUTILS	:= 2.32.51.20190702-1~
+  MIN_VER_LINUX		:= 5.2
 endif
 
 VER_GCC          := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
@@ -188,5 +189,4 @@
 define init_binutils
 	$(call unpack_tarball, ${BINUTILS_DIR}/binutils-${VER_BINUTILS}.tar.xz)
 	set -e; \
-	cd binutils-${PKG_VER_BINUTILS} ;\
-	cp -a ${BINUTILS_DIR}/debian/ . ;\
+	cd binutils-${VER_BINUTILS} ;\
