## cross-toolchain-base-ports 30ubuntu3

=== debian/changelog ===
cross-toolchain-base-ports (30ubuntu3) eoan; urgency=medium

  * Build using glibc 2.29-0ubuntu3.
  * Fix the build for alpha.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jul 2019 14:27:07 +0200
