## cross-toolchain-base-ports 32ubuntu2

=== debian/changelog ===
cross-toolchain-base-ports (32ubuntu2) eoan; urgency=medium

  * Build using glibc 2.30-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Sep 2019 16:39:00 +0200

cross-toolchain-base-ports (32) unstable; urgency=medium

  * Fix build on alpha with linux 5.2.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Aug 2019 16:20:44 +0200

cross-toolchain-base-ports (31) unstable; urgency=medium

  * Build using linux 5.2.
  * Build using binutils 2.32.51.20190813-1.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Aug 2019 12:32:09 +0200
