=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Matthias Klose <doko@debian.org>, Dimitri John Ledkov <xnox@debian.org>
 Vcs-Browser: https://salsa.debian.org/toolchain-team/cross-toolchain-base/tree/ports
 Vcs-Git: https://salsa.debian.org/toolchain-team/cross-toolchain-base.git -b ports
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
   binutils-source (>= 2.32.51.20190702-1~),
