=== debian/rules ===
--- 
+++ 
@@ -68,9 +68,9 @@
 endif
 
 MIN_VER_GLIBC		:= 2.28-10~
-MIN_VER_LINUX		:= 4.19
+MIN_VER_LINUX		:= 5.2
 MIN_VER_GCC		:= 8.3.0-19~
-MIN_VER_BINUTILS	:= 2.32.51.20190707-1~
+MIN_VER_BINUTILS	:= 2.32.51.20190813-1~
 
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),Ubuntu)
