=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
   binutils-source (>= 2.32.51.20190702-1~),
-  glibc-source (>= 2.29-0~),
-  gcc-8-source (>= 8.3.0-19~),
+  glibc-source (>= 2.30-0~),
+  gcc-9-source (>= 9.2.1-6~),
   linux-source (>= 5.2),
   autoconf (>= 2.64), autoconf2.64, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
