=== debian/rules ===
--- 
+++ 
@@ -80,9 +80,9 @@
 endif
 VER_GCC_BASE	:= 8
 ifeq ($(vendor),Ubuntu)
-  MIN_VER_GLIBC	:= 2.29-0~
-  VER_GCC_BASE	:= 8
-  MIN_VER_GCC	:= 8.3.0-19~
+  MIN_VER_GLIBC	:= 2.30-0~
+  VER_GCC_BASE	:= 9
+  MIN_VER_GCC	:= 9.2.1-6~
   MIN_VER_BINUTILS	:= 2.32.51.20190702-1~
   MIN_VER_LINUX		:= 5.2
 endif
