## cross-toolchain-base-ports 32ubuntu4

=== debian/changelog ===
cross-toolchain-base-ports (32ubuntu4) eoan; urgency=medium

  * Build using glibc 2.30-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Sep 2019 20:18:15 +0200
