## cross-toolchain-base-ports 35ubuntu1

=== debian/changelog ===
cross-toolchain-base-ports (35ubuntu1) eoan; urgency=medium

  * Build using linux 5.3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Sep 2019 12:40:10 +0200

cross-toolchain-base-ports (35) unstable; urgency=medium

  * Fix gcc-source extraction step.
  * Build using glibc 2.29-1.
  * Build using gcc 9.2.1-8.
  * Merge glibc-2.30 changes from Ubuntu.
  * Build gm2 using Python3. Closes: #936588.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Sep 2019 12:09:05 +0200
