=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
   binutils-source (>= 2.32.51.20190702-1~),
   glibc-source (>= 2.30-0~),
-  gcc-9-source (>= 9.2.1-6~),
-  linux-source (>= 5.2),
+  gcc-9-source (>= 9.2.1-8~),
+  linux-source (>= 5.3), linux-libc-dev (>= 5.3),
   autoconf (>= 2.64), autoconf2.64, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
@@ -25,8 +25,8 @@
   libconfig-auto-perl, libfile-temp-perl, libconfig-auto-perl,
   libfile-homedir-perl, liblocale-gettext-perl, libunwind-dev [amd64 i386 x32]
 Build-Conflicts: dpkg-cross, libdebian-dpkgcross-perl,
-  binutils-alpha-linux-gnu, binutils-hppa-linux-gnu, binutils-m68k-linux-gnu, binutils-powerpc64-linux-gnu, binutils-riscv64-linux-gnu, binutils-sh4-linux-gnu, binutils-sparc64-linux-gnu, binutils-x86-64-linux-gnux32, binutils-mips-linux-gnu, binutils-mipsel-linux-gnu, binutils-mips64el-linux-gnuabi64,
-  libc6-alpha-cross, linux-libc-dev-alpha-cross, libc6-hppa-cross, linux-libc-dev-hppa-cross, libc6-m68k-cross, linux-libc-dev-m68k-cross, libc6-ppc64-cross, linux-libc-dev-ppc64-cross, libc6-riscv64-cross, linux-libc-dev-riscv64-cross, libc6-sh4-cross, linux-libc-dev-sh4-cross, libc6-sparc64-cross, linux-libc-dev-sparc64-cross, libc6-x32-cross, linux-libc-dev-x32-cross, libc6-mips-cross, linux-libc-dev-mips-cross, libc6-mipsel-cross, linux-libc-dev-mipsel-cross, libc6-mips64el-cross, linux-libc-dev-mips64el-cross,
+  binutils-alpha-linux-gnu, binutils-hppa-linux-gnu, binutils-m68k-linux-gnu, binutils-powerpc64-linux-gnu, binutils-riscv64-linux-gnu, binutils-sh4-linux-gnu, binutils-sparc64-linux-gnu, binutils-x86-64-linux-gnux32,
+  libc6-alpha-cross, linux-libc-dev-alpha-cross, libc6-hppa-cross, linux-libc-dev-hppa-cross, libc6-m68k-cross, linux-libc-dev-m68k-cross, libc6-ppc64-cross, linux-libc-dev-ppc64-cross, libc6-riscv64-cross, linux-libc-dev-riscv64-cross, libc6-sh4-cross, linux-libc-dev-sh4-cross, libc6-sparc64-cross, linux-libc-dev-sparc64-cross, libc6-x32-cross, linux-libc-dev-x32-cross,
   libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
 
 Package: linux-libc-dev-alpha-cross
@@ -65,42 +65,6 @@
  libraries. They are NOT meant to be used to build third-party modules for
  your kernel. Use linux-headers-* packages for that.
 
-Package: linux-libc-dev-mips-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Provides: linux-kernel-headers-mips-cross, linux-libc-dev-mips-dcv1
-Built-Using: ${bu:linux}
-Description: Linux Kernel Headers for development (for cross-compiling)
- This package provides headers from the Linux kernel.  These headers
- are used by the installed headers for GNU glibc and other system
- libraries. They are NOT meant to be used to build third-party modules for
- your kernel. Use linux-headers-* packages for that.
-
-Package: linux-libc-dev-mips64el-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Provides: linux-kernel-headers-mips64el-cross, linux-libc-dev-mips64el-dcv1
-Built-Using: ${bu:linux}
-Description: Linux Kernel Headers for development (for cross-compiling)
- This package provides headers from the Linux kernel.  These headers
- are used by the installed headers for GNU glibc and other system
- libraries. They are NOT meant to be used to build third-party modules for
- your kernel. Use linux-headers-* packages for that.
-
-Package: linux-libc-dev-mipsel-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Provides: linux-kernel-headers-mipsel-cross, linux-libc-dev-mipsel-dcv1
-Built-Using: ${bu:linux}
-Description: Linux Kernel Headers for development (for cross-compiling)
- This package provides headers from the Linux kernel.  These headers
- are used by the installed headers for GNU glibc and other system
- libraries. They are NOT meant to be used to build third-party modules for
- your kernel. Use linux-headers-* packages for that.
-
 Package: linux-libc-dev-ppc64-cross
 Architecture: all
 Multi-Arch: foreign
@@ -272,3 +236,54 @@
 Description: GNU C Library: Development Libraries and Header Files (for cross-compiling)
  This package was generated by dpkg-cross for cross compiling.
  .
+ Contains the symlinks, headers, and object files needed to compile
+ and link programs which use the standard C library.
+
+Package: libc6-ppc64-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends: ${misc:Depends}
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Shared libraries (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the standard libraries that are used by nearly all programs on
+ the system. This package includes shared versions of the standard C library
+ and the standard math library, as well as many others.
+
+Package: libc6-dbg-ppc64-cross
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Section: debug
+Built-Using: ${bu:glibc}
+Description: GNU C Library: detached debugging symbols (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ This package contains the detached debugging symbols for the GNU C
+ library.
+
+Package: libc6-dev-ppc64-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libdevel
+Depends: ${misc:Depends}
+Conflicts: binutils-ppc64-cross (<< 2.20.1-1), binutils-gold-ppc64-cross (<< 2.20.1-11)
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Development Libraries and Header Files (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the symlinks, headers, and object files needed to compile
+ and link programs which use the standard C library.
+
+Package: libc6-riscv64-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends: ${misc:Depends}
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Shared libraries (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the standard libraries that are used by nearly all programs on
