=== debian/rules ===
--- 
+++ 
@@ -42,12 +42,12 @@
 
 ifeq ($(DEB_NAME_ACT),cross-toolchain-base)
   CROSS_ARCHS	?= amd64 i386 s390x ppc64el arm64 armhf armel \
-			$(if $(filter $(vendor), Ubuntu), powerpc, mips mipsel mips64el)
+			$(if $(filter $(vendor), Ubuntu), powerpc)
 else ifeq ($(DEB_NAME_ACT),cross-toolchain-base-ports)
   CROSS_ARCHS  ?= alpha hppa m68k ppc64 riscv64 sh4 sparc64 x32 \
-			$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el, powerpc)
+			$(if $(filter $(vendor), Ubuntu),, powerpc)
 else # -mipsen
-  CROSS_ARCHS  ?= mips64 mipsn32 mipsn32el \
+  CROSS_ARCHS  ?= mipsel mips64el mips64 mipsn32 mipsn32el \
 			mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
 endif
 CROSS_ARCH       = $(subst .,,$(suffix $@))
@@ -67,10 +67,10 @@
   endif
 endif
 
-MIN_VER_GLIBC		:= 2.28-10~
+MIN_VER_GLIBC		:= 2.29-0~
 MIN_VER_LINUX		:= 5.2
-MIN_VER_GCC		:= 8.3.0-19~
-MIN_VER_BINUTILS	:= 2.32.51.20190813-1~
+MIN_VER_GCC		:= 9.2.1-8~
+MIN_VER_BINUTILS	:= 2.32.51.20190909-1~
 
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),Ubuntu)
@@ -78,13 +78,13 @@
 else
   VER_LINUX      := $(shell echo $(DEB_VER_LINUX) | sed 's/^\([0-9]*\.[0-9]*\).*/\1/')
 endif
-VER_GCC_BASE	:= 8
+VER_GCC_BASE	:= 9
 ifeq ($(vendor),Ubuntu)
   MIN_VER_GLIBC	:= 2.30-0~
   VER_GCC_BASE	:= 9
-  MIN_VER_GCC	:= 9.2.1-6~
+  MIN_VER_GCC	:= 9.2.1-8~
   MIN_VER_BINUTILS	:= 2.32.51.20190702-1~
-  MIN_VER_LINUX		:= 5.2
+  MIN_VER_LINUX		:= 5.3
 endif
 
 VER_GCC          := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
